#ifndef VERTEX_H
#define VERTEX_H

#include "TVector3.h"
#include "TMatrix.h"

class Vertex : public TVector3 {
  public:
	Vertex();
	Vertex(double,double,double);
	~Vertex();

	TMatrix ErrorMatrix() const;

	void SetVertexError(TMatrix&);

  private:
	TMatrix  vertex_error;
};
#endif
