#ifndef TRACK_H
#define TRACK_H

#include "Vertex.h"

class Track {
    public:
	Track();
	~Track();

	void SetPtEtaPhiM(double,double,double,double);

        double Px()  const;
        double Py()  const;
        double Pz()  const;
        double E()   const;
	double M()   const;
        double Pt()  const;
        double Eta() const;
        double Phi() const;

	void SetVertex(Vertex);

	Vertex GetVertex() const;

  //    protected:
private:
	double px,py,pz,e;
	Vertex theVertex;
};
#endif
