#include "Vertex.h"

Vertex::Vertex(){}
Vertex::Vertex(double xx,double yy,double zz){
  x = xx;
  y = yy;
  z = zz;
}
Vertex::~Vertex(){}

double Vertex::X() const {return x;}
double Vertex::Y() const {return y;}
double Vertex::Z() const {return z;}

Matrix Vertex::ErrorMatrix() const { return vertex_error; }

void Vertex::SetVertexError(Matrix& m){ vertex_error = m; }
