#ifndef VERTEX_H
#define VERTEX_H

#include "Matrix.h"

class Vertex {
  public:
	Vertex();
	Vertex(double,double,double);
	~Vertex();

	double X() const;
	double Y() const;
	double Z() const;

	Matrix ErrorMatrix() const;

	void SetVertexError(Matrix&);

  private:
        double x,y,z;
	Matrix  vertex_error;
};
#endif
