#include "MCParticle.h"

#include <iostream>

int main(){

  MCParticle p;
  p.SetPtEtaPhiM(20,2.1,1.23,1.777);
  p.SetPid(15);
  Vertex v = Vertex(0,0,0);
  p.SetVertex(v);

  std::cout << std::endl;
  std::cout << "Particle id " << p.Pid()
            << ", pt = " << p.Pt()
            << ", eta = " << p.Eta()
            << ", phi = " << p.Phi()
            << ", E = " << p.E()
            << ", m = " << p.M()
            << ", vertex z = " << p.GetVertex().Z()
            << std::endl;

}
